Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Xf

    java.lang.Object
      Biff
          jet.report.xls.Xf

    public class Xf

extends Biff

Field Summary
`static short` | `ALT_BARS` Wide dots.
`static short` | `BIG_SPOTS` Large spots.
`static short` | `BRICKS` Brick-like layout.
`static short` | `CENTER` Represents center text alignment.
`static short` | `CENTER_SELECTION` Represents center across text alignment.
`static short` | `DASH_DOT` Represents thin dash-dotted line.
`static short` | `DASH_DOT_DOT` Represents thin dash-dot-dotted line.
`static short` | `DASHED` Represents dashed line.
`static int` | `DGBOTTOM`
`static int` | `DGDIAG`
`static short` | `DGLEFT`
`static short` | `DGRIGHT`
`static short` | `DGTOP`
`static int` | `DIAGBOTH`
`static short` | `DIAGDOWN`
`static int` | `DIAGUP`
`static short` | `DIAMONDS` Diamonds.
`static short` | `DOTTED` Represents dotted line.
`static short` | `DOUBLE` Represents double line.
`static short` | `FATRALC`
`static short` | `FATRBDR`
`static short` | `FATRFNT`
`static short` | `FATRNUM`
`static short` | `FATRPAT`
`static int` | `FATRPROT`
`static short` | `FILL` Represents fill text alignment.
`static short` | `FINE_DOTS` Small fine dots.
`static short` | `FJUSTLAST`
`static int` | `FLS`
`static short` | `FMERGECELL`
`static short` | `FSHRINKTOFIT`
`static short` | `FSXBUTTON`
`static int` | `GENERAL` Represents general text alignment.
`static short` | `HAIR` Represents hair line.
`static short` | `ICVBACK`
`static int` | `ICVBOTTOM`
`static int` | `ICVDIAG`
`static short` | `ICVFORE`
`static short` | `ICVLEFT`
`static short` | `ICVRIGHT`
`static int` | `ICVTOP`
`static short` | `JUSTIFY` Represents justify text alignment.
`static short` | `LEFT` Represents left text alignment.
`static short` | `MEDIUM` Represents medium line.
`static short` | `MEDIUM_DASH_DOT` Represents medium dash-dotted line.
`static short` | `MEDIUM_DASH_DOT_DOT` Represents medium dash-dot-dotted line.
`static short` | `MEDIUM_DASHED` Represents medium dashed line.
`static short` | `NO_FILL` No background.
`static short` | `NONE` Represents no line.
`static int` | `ORDER_CONTEXT`
`static short` | `ORDER_LTOR`
`static short` | `ORDER_RTOL`
`static short` | `RIGHT` Represents right text alignment.
`static short` | `SLANTED_DASH_DOT` Represents slanted medium dash-dotted line.
`static short` | `SOLID_FOREGROUND` Solidly filled.
`static short` | `SPARSE_DOTS` Sparse dots.
`static short` | `SQUARES` Squares.
`static short` | `THICK` Represents thick line.
`static short` | `THICK_BACKWARD_DIAG` Thick backward facing diagonals.
`static short` | `THICK_FORWARD_DIAG` Thick forward facing diagonals.
`static short` | `THICK_HORZ_BANDS` Thick horizontal bands.
`static short` | `THICK_VERT_BANDS` Thick vertical bands.
`static short` | `THIN` Represents thin line.
`static short` | `THIN_BACKWARD_DIAG` Thin backward diagonal.
`static short` | `THIN_FORWARD_DIAG` Thin forward diagonal.
`static short` | `THIN_HORZ_BANDS` Thin horizontal bands.
`static short` | `THIN_VERT_BANDS` Thin vertical bands.
`static short` | `VERTICAL_BOTTOM` Represents bottom text alignment.
`static short` | `VERTICAL_CENTER` Represents center text alignment.
`static short` | `VERTICAL_JUSTIFY` Represents justify text alignment.
`static int` | `VERTICAL_TOP` Represents top text alignment.

Constructor Summary
`Xf()` Constructs an Xf record with the default value.
`Xf(short font, short format, short cell_options, short alignment_options, short indention_options, short border_options, short palette_options, int adtl_palette_options, short fill_palette_options)` Constructs an Xf record and sets its fields appropriately.
`Xf(Xf xf)` Constructs a BFont record with an existing BFont record.

Method Summary
`boolean` | `equals(java.lang.Object object)`
`short` | `getBorderBottom()` Gets the border line style for the bottom border.
`short` | `getBorderLeft()` Gets the border line style for the left border.
`short` | `getBorderRight()` Gets the border line style for the right border.
`short` | `getBorderTop()` Gets the border line style for the top border.
`short` | `getDgDiag()` Gets the diagonal border line style.
`int` | `getFls()` Gets the fill pattern.
`int` | `getIcvBack()` Gets the background palette color index.
`int` | `getIcvBottom()` Gets the palette index for the bottom border color.
`int` | `getIcvDiag()` Gets the palette index for the diagonal border color.
`int` | `getIcvFore()` Gets the foreground palette color index.
`int` | `getIcvLeft()` Gets the palette index for the left border color.
`int` | `getIcvRight()` Gets the palette index for the right border color.
`int` | `getIcvTop()` Gets the palette index for the top border color.
`short` | `getIndent()` Gets indention.
`short` | `getixfParent()` Gets XF index of the parent style (usually 0/normal).
`short` | `getTrot()` Gets the degree of rotation.
`boolean` | `is123Prefix()` Gets some old holdover from lotus 123.
`boolean` | `isAtrAlc()` Gets whether or not to use the alignment in this XF instead of the parent XF.
`boolean` | `isAtrBdr()` Gets whether or not to use the border in this XF instead of the parent XF.
`boolean` | `isAtrFnt()` Gets whether or not to use the font in this XF instead of the parent XF.
`boolean` | `isAtrNum()` Gets whether or not to use the format in this XF instead of the parent XF.
`boolean` | `isAtrPat()` Gets whether or not to use the pattern in this XF instead of the parent XF.
`boolean` | `isAtrProt()` Gets whether or not to use the locking/hidden in this XF instead of the parent XF.
`boolean` | `isCenter_selection()` Gets the alignment of text in the cell.
`boolean` | `isCenter()` Gets the alignment of text in the cell.
`boolean` | `isDiagboth()` Gets whether there is diagonal up and down borders or not.
`boolean` | `isDiagdown()` Gets whether there is diagonal-down border or not.
`boolean` | `isDiagup()` Gets whether there is diagonal-up border or not.
`boolean` | `isFill()` Gets the alignment of text in the cell.
`boolean` | `isGeneral()` Gets the alignment of text in the cell.
`boolean` | `isHidden()` Gets whether the cell is hidden or not.
`boolean` | `isJustify()` Gets the alignment of text in the cell.
`boolean` | `isJustLast()` Dunno.
`boolean` | `isLeft()` Sets the alignment of text in the cell.
`boolean` | `isLocked()` Gets whether the cell is locked or not.
`boolean` | `isMergeCell()` Gets whether to merge cells.
`boolean` | `isOrder_context()` Gets the reading order for far east versions.
`boolean` | `isOrder_LToR()` Gets the reading order for far east versions.
`boolean` | `isOrder_RToL()` Gets the reading order for far east versions.
`boolean` | `isRight()` Gets the alignment of text in the cell.
`boolean` | `isShrinkToFit()` Gets whether to shrink the text to fit.
`boolean` | `isStyle()` Gets whether the cell is a cell or style XFRecord.
`boolean` | `isSxButton()` Gets whether the Xf record is attached to a PivotTable button.
`boolean` | `isVertical_bottom()` Gets the vertical alignment of text in the cell.
`boolean` | `isVertical_center()` Gets the vertical center alignment of text in the cell.
`boolean` | `isVertical_justify()` Gets the vertical alignment of text in the cell.
`boolean` | `isVertical_top()` Gets the vertical alignment of text in the cell.
`boolean` | `isWrap()` Gets whether to wrap the text in the cell.
`int` | `opcode()` Gets the opcode of Xf.
`int` | `output(util.RandomAccessStream stream)` Outputs the record Xf.
`void` | `set123Prefix(boolean prefix)` Sets some old holdover from lotus 123.
`void` | `setAlignment(int align)` Sets the alignment of the cell.
`void` | `setAtrAlc(boolean atralc)` Sets whether or not to use the alignment in this XF instead of the parent XF.
`void` | `setAtrBdr(boolean atrbdr)` Sets whether or not to use the border in this XF instead of the parent XF.
`void` | `setAtrFnt(boolean atrfnt)` Sets whether or not to use the font in this XF instead of the parent XF.
`void` | `setAtrNum(boolean atrnum)` Sets whether or not to use the format in this XF instead of the parent XF.
`void` | `setAtrPat(boolean atrpat)` Sets whether or not to use the pattern in this XF instead of the parent XF.
`void` | `setAtrProt(boolean atrprot)` Sets whether or not to use the locking/hidden in this XF instead of the parent XF.
`void` | `setBorderBottom(short border)` Sets the border line style for the bottom border.
`void` | `setBorderLeft(short border)` Sets the border line style for the left border.
`void` | `setBorderRight(short border)` Sets the border line style for the right border.
`void` | `setBorderTop(short border)` Sets the border line style for the top border.
`void` | `setDgDiag(short border)` Sets the diagonal border line style?
`void` | `setDiagboth(boolean diagboth)` Sets whether there is diagonal up and down borders or not.
`void` | `setDiagdown(boolean diagdown)` Sets whether there is diagonal-down border or not.
`void` | `setDiagup(boolean diagup)` Sets whether there is diagonal-up border or not.
`void` | `setFls(int fls)` Sets the fill pattern.
`void` | `setFontIndex(short index)` Sets the index of BFont record.
`void` | `setFormatIndex(short index)` Sets the index of Format record.
`void` | `setHidden(boolean hidden)` Sets whether the cell is hidden or not.
`void` | `setIcvBack(int icvback)` Sets the background palette color index.
`void` | `setIcvBottom(int icvbottom)` Sets the palette index for the bottom border color.
`void` | `setIcvDiag(int icvdiag)` Sets the palette index for the diagonal border color.
`void` | `setIcvFore(int icvfore)` Sets the foreground palette color index.
`void` | `setIcvLeft(int icvleft)` Sets the palette index for the left border color.
`void` | `setIcvRight(int icvright)` Sets the palette index for the right border color.
`void` | `setIcvTop(int icvtop)` Sets the palette index for the top border color.
`void` | `setIndent(short indent)` Sets indention.
`void` | `setixfParent(short ixf)` Sets XF index of the parent style (usually 0/normal).
`void` | `setJustLast(boolean justlast)` Dunno.
`void` | `setLocked(boolean locked)` Sets whether the cell is locked or not.
`void` | `setMergeCell(boolean mergecell)` Sets whether to merge cells.
`void` | `setReadOrder(int order)` Sets the reading order for far east versions.
`void` | `setShrinkToFit(boolean shrinktofit)` Sets whether to shrink the text to fit.
`void` | `setStyle(boolean style)` Sets whether the cell is a cell or style XFRecord.
`void` | `setSxButton(boolean sxbutton)` Sets whether the Xf record is attached to a PivotTable button.
`void` | `setTextRotationDegree(short degree)` Sets the text rotation degree.
`void` | `setTrot(short trot)` Sets the degree of rotation.
`void` | `setVAlignment(int valc)` Sets the vertical alignment of the cell.
`void` | `setWrap(boolean wrap)` Sets whether to wrap the text in the cell.
`java.lang.String` | `toString()` Returns a string representation of the Xf

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GENERAL

    public static final int GENERAL

  Represents general text alignment.

  See Also:
    Constant Field Values

### LEFT

    public static final short LEFT

  Represents left text alignment.

  See Also:
    Constant Field Values

### CENTER

    public static final short CENTER

  Represents center text alignment.

  See Also:
    Constant Field Values

### RIGHT

    public static final short RIGHT

  Represents right text alignment.

  See Also:
    Constant Field Values

### FILL

    public static final short FILL

  Represents fill text alignment.

  See Also:
    Constant Field Values

### JUSTIFY

    public static final short JUSTIFY

  Represents justify text alignment.

  See Also:
    Constant Field Values

### CENTER_SELECTION

    public static final short CENTER_SELECTION

  Represents center across text alignment.

  See Also:
    Constant Field Values

### VERTICAL_TOP

    public static final int VERTICAL_TOP

  Represents top text alignment.

  See Also:
    Constant Field Values

### VERTICAL_CENTER

    public static final short VERTICAL_CENTER

  Represents center text alignment.

  See Also:
    Constant Field Values

### VERTICAL_BOTTOM

    public static final short VERTICAL_BOTTOM

  Represents bottom text alignment.

  See Also:
    Constant Field Values

### VERTICAL_JUSTIFY

    public static final short VERTICAL_JUSTIFY

  Represents justify text alignment.

  See Also:
    Constant Field Values

### FJUSTLAST

    public static final short FJUSTLAST

See Also:
  Constant Field Values

### FSHRINKTOFIT

    public static final short FSHRINKTOFIT

See Also:
  Constant Field Values

### FMERGECELL

    public static final short FMERGECELL

See Also:
  Constant Field Values

### ORDER_CONTEXT

    public static final int ORDER_CONTEXT

See Also:
  Constant Field Values

### ORDER_LTOR

    public static final short ORDER_LTOR

See Also:
  Constant Field Values

### ORDER_RTOL

    public static final short ORDER_RTOL

See Also:
  Constant Field Values

### FATRNUM

    public static final short FATRNUM

See Also:
  Constant Field Values

### FATRFNT

    public static final short FATRFNT

See Also:
  Constant Field Values

### FATRALC

    public static final short FATRALC

See Also:
  Constant Field Values

### FATRBDR

    public static final short FATRBDR

See Also:
  Constant Field Values

### FATRPAT

    public static final short FATRPAT

See Also:
  Constant Field Values

### FATRPROT

    public static final int FATRPROT

See Also:
  Constant Field Values

### DGLEFT

    public static final short DGLEFT

See Also:
  Constant Field Values

### DGRIGHT

    public static final short DGRIGHT

See Also:
  Constant Field Values

### DGTOP

    public static final short DGTOP

See Also:
  Constant Field Values

### DGBOTTOM

    public static final int DGBOTTOM

See Also:
  Constant Field Values

### NONE

    public static final short NONE

  Represents no line.

  See Also:
    Constant Field Values

### THIN

    public static final short THIN

  Represents thin line.

  See Also:
    Constant Field Values

### MEDIUM

    public static final short MEDIUM

  Represents medium line.

  See Also:
    Constant Field Values

### DASHED

    public static final short DASHED

  Represents dashed line.

  See Also:
    Constant Field Values

### DOTTED

    public static final short DOTTED

  Represents dotted line.

  See Also:
    Constant Field Values

### THICK

    public static final short THICK

  Represents thick line.

  See Also:
    Constant Field Values

### DOUBLE

    public static final short DOUBLE

  Represents double line.

  See Also:
    Constant Field Values

### HAIR

    public static final short HAIR

  Represents hair line.

  See Also:
    Constant Field Values

### MEDIUM_DASHED

    public static final short MEDIUM_DASHED

  Represents medium dashed line.

  See Also:
    Constant Field Values

### DASH_DOT

    public static final short DASH_DOT

  Represents thin dash-dotted line.

  See Also:
    Constant Field Values

### MEDIUM_DASH_DOT

    public static final short MEDIUM_DASH_DOT

  Represents medium dash-dotted line.

  See Also:
    Constant Field Values

### DASH_DOT_DOT

    public static final short DASH_DOT_DOT

  Represents thin dash-dot-dotted line.

  See Also:
    Constant Field Values

### MEDIUM_DASH_DOT_DOT

    public static final short MEDIUM_DASH_DOT_DOT

  Represents medium dash-dot-dotted line.

  See Also:
    Constant Field Values

### SLANTED_DASH_DOT

    public static final short SLANTED_DASH_DOT

  Represents slanted medium dash-dotted line.

  See Also:
    Constant Field Values

### ICVLEFT

    public static final short ICVLEFT

See Also:
  Constant Field Values

### ICVRIGHT

    public static final short ICVRIGHT

See Also:
  Constant Field Values

### DIAGDOWN

    public static final short DIAGDOWN

See Also:
  Constant Field Values

### DIAGUP

    public static final int DIAGUP

See Also:
  Constant Field Values

### DIAGBOTH

    public static final int DIAGBOTH

See Also:
  Constant Field Values

### ICVTOP

    public static final int ICVTOP

See Also:
  Constant Field Values

### ICVBOTTOM

    public static final int ICVBOTTOM

See Also:
  Constant Field Values

### ICVDIAG

    public static final int ICVDIAG

See Also:
  Constant Field Values

### DGDIAG

    public static final int DGDIAG

See Also:
  Constant Field Values

### FLS

    public static final int FLS

See Also:
  Constant Field Values

### ICVFORE

    public static final short ICVFORE

See Also:
  Constant Field Values

### ICVBACK

    public static final short ICVBACK

See Also:
  Constant Field Values

### FSXBUTTON

    public static final short FSXBUTTON

See Also:
  Constant Field Values

### NO_FILL

    public static final short NO_FILL

  No background.

  See Also:
    Constant Field Values

### SOLID_FOREGROUND

    public static final short SOLID_FOREGROUND

  Solidly filled.

  See Also:
    Constant Field Values

### FINE_DOTS

    public static final short FINE_DOTS

  Small fine dots.

  See Also:
    Constant Field Values

### ALT_BARS

    public static final short ALT_BARS

  Wide dots.

  See Also:
    Constant Field Values

### SPARSE_DOTS

    public static final short SPARSE_DOTS

  Sparse dots.

  See Also:
    Constant Field Values

### THICK_HORZ_BANDS

    public static final short THICK_HORZ_BANDS

  Thick horizontal bands.

  See Also:
    Constant Field Values

### THICK_VERT_BANDS

    public static final short THICK_VERT_BANDS

  Thick vertical bands.

  See Also:
    Constant Field Values

### THICK_BACKWARD_DIAG

    public static final short THICK_BACKWARD_DIAG

  Thick backward facing diagonals.

  See Also:
    Constant Field Values

### THICK_FORWARD_DIAG

    public static final short THICK_FORWARD_DIAG

  Thick forward facing diagonals.

  See Also:
    Constant Field Values

### BIG_SPOTS

    public static final short BIG_SPOTS

  Large spots.

  See Also:
    Constant Field Values

### BRICKS

    public static final short BRICKS

  Brick-like layout.

  See Also:
    Constant Field Values

### THIN_HORZ_BANDS

    public static final short THIN_HORZ_BANDS

  Thin horizontal bands.

  See Also:
    Constant Field Values

### THIN_VERT_BANDS

    public static final short THIN_VERT_BANDS

  Thin vertical bands.

  See Also:
    Constant Field Values

### THIN_BACKWARD_DIAG

    public static final short THIN_BACKWARD_DIAG

  Thin backward diagonal.

  See Also:
    Constant Field Values

### THIN_FORWARD_DIAG

    public static final short THIN_FORWARD_DIAG

  Thin forward diagonal.

  See Also:
    Constant Field Values

### SQUARES

    public static final short SQUARES

  Squares.

  See Also:
    Constant Field Values

### DIAMONDS

    public static final short DIAMONDS

  Diamonds.

  See Also:
    Constant Field Values

Constructor Detail

### Xf

    public Xf()

  Constructs an Xf record with the default value.

### Xf

    public Xf(Xf xf)

  Constructs a BFont record with an existing BFont record.

### Xf

    public Xf(short font,
              short format,
              short cell_options,
              short alignment_options,
              short indention_options,
              short border_options,
              short palette_options,
              int adtl_palette_options,
              short fill_palette_options)

  Constructs an Xf record and sets its fields appropriately.

  Parameters:
    `font` - index to the FONT record
    `format` - index to the FORMAT record
    `cell_options` - cell options
    `alignment_options` - alignment options
    `indention_options` - indention options
    `border_options` - border options
    `palette_options` - palette options
    `adtl_palette_options` - palette options
    `fill_palette_options` - palette options

Method Detail

### opcode

    public final int opcode()

  Gets the opcode of Xf.

### toString

    public java.lang.String toString()

  Returns a string representation of the Xf

  Returns:
    a string representation of the object.

### equals

    public boolean equals(java.lang.Object object)

### setFontIndex

    public void setFontIndex(short index)

  Sets the index of BFont record.

  Parameters:
    `index` - the index of BFont record

### setFormatIndex

    public void setFormatIndex(short index)

  Sets the index of Format record.

  Parameters:
    `index` - the index of Format record.

### isLocked

    public boolean isLocked()

  Gets whether the cell is locked or not.

  Returns:
    whether the cell is locked

### setLocked

    public void setLocked(boolean locked)

  Sets whether the cell is locked or not.

  Parameters:
    `locked` - - if the cell is locked

### isHidden

    public boolean isHidden()

  Gets whether the cell is hidden or not.

  Returns:
    whether the cell is hidden

### setHidden

    public void setHidden(boolean hidden)

  Sets whether the cell is hidden or not.

  Parameters:
    `hidden` - - if the cell is hidden

### isStyle

    public boolean isStyle()

  Gets whether the cell is a cell or style XFRecord.

  Returns:
    type - cell or style (0/1)

### setStyle

    public void setStyle(boolean style)

  Sets whether the cell is a cell or style XFRecord.

  Parameters:
    `style` - - cell or style (0/1)

### is123Prefix

    public boolean is123Prefix()

  Gets some old holdover from lotus 123. Who cares, its all over for Lotus. RIP Lotus.

  Returns:
    whether to have the lotus thing to set

### set123Prefix

    public void set123Prefix(boolean prefix)

  Sets some old holdover from lotus 123. Who cares, its all over for Lotus. RIP Lotus.

  Parameters:
    `prefix` - - whether to have the lotus thing to set.

### setixfParent

    public void setixfParent(short ixf)

  Sets XF index of the parent style (usually 0/normal). The style should be NULL.

  Parameters:
    `ixf` - index of parent XF

### getixfParent

    public short getixfParent()

  Gets XF index of the parent style (usually 0/normal).

  Returns:
    index of parent XF

### setAlignment

    public void setAlignment(int align)

  Sets the alignment of the cell.

  Parameters:
    `align` - the alignment of the cell :
  See Also:
    `GENERAL`, `LEFT`, `CENTER`, `RIGHT`, `FILL`, `JUSTIFY`, `1 for left; 2 for center; 3 for right; 4 for fill; 5 for justify 6 for center across selection.`

### isGeneral

    public boolean isGeneral()

  Gets the alignment of text in the cell. return whether to set the alignment to general

  See Also:
    `GENERAL`

### isLeft

    public boolean isLeft()

  Sets the alignment of text in the cell.

  Returns:
    whether to set the alignment to left
  See Also:
    `LEFT`

### isCenter

    public boolean isCenter()

  Gets the alignment of text in the cell. RETURN whether to set the alignment to center

  See Also:
    `CENTER`

### isRight

    public boolean isRight()

  Gets the alignment of text in the cell.

  Returns:
    whether to set the alignment to right
  See Also:
    `RIGHT`

### isFill

    public boolean isFill()

  Gets the alignment of text in the cell.

  Returns:
    whether to set the alignment to fill
  See Also:
    `FILL`

### isJustify

    public boolean isJustify()

  Gets the alignment of text in the cell.

  Returns:
    whether to set the alignment to justify
  See Also:
    `JUSTIFY`

### isCenter_selection

    public boolean isCenter_selection()

  Gets the alignment of text in the cell.

  Returns:
    whether to set the alignment to center_selection
  See Also:
    `CENTER_SELECTION`

### isWrap

    public boolean isWrap()

  Gets whether to wrap the text in the cell.

  Returns:
    whether or not to wrap the text in the cell

### setWrap

    public void setWrap(boolean wrap)

  Sets whether to wrap the text in the cell.

  Parameters:
    `wrap` - - whether or not to wrap the text in the cell

### setVAlignment

    public void setVAlignment(int valc)

  Sets the vertical alignment of the cell.

  Parameters:
    `valc` - the vertical alignment of the cell : 0xffcf for top; 0x0010 for center; 0x0020 for bottom; 0x0030 for justify
  See Also:
    `VERTICAL_TOP`, `VERTICAL_CENTER`, `VERTICAL_BOTTOM`, `VERTICAL_JUSTIFY`

### isVertical_top

    public boolean isVertical_top()

  Gets the vertical alignment of text in the cell.

  Returns:
    whether to set the alignment to top
  See Also:
    `VERTICAL_TOP`

### isVertical_center

    public boolean isVertical_center()

  Gets the vertical center alignment of text in the cell.

  Returns:
    whether to set the alignment to center
  See Also:
    `VERTICAL_CENTER`

### isVertical_bottom

    public boolean isVertical_bottom()

  Gets the vertical alignment of text in the cell.

  Returns:
    whether to set the alignment to bottom
  See Also:
    `VERTICAL_BOTTOM`

### isVertical_justify

    public boolean isVertical_justify()

  Gets the vertical alignment of text in the cell.

  Returns:
    whether to set the alignment to justify
  See Also:
    `VERTICAL_JUSTIFY`

### isJustLast

    public boolean isJustLast()

  Dunno. Docs just say this is for far east versions.(I'm guessing it justifies for right-to-left read languages)

  See Also:
    `FJUSTLAST`

### setJustLast

    public void setJustLast(boolean justlast)

  Dunno. Docs just say this is for far east versions.(I'm guessing it justifies for right-to-left read languages)

  Parameters:
    `justlast` -
  See Also:
    `FJUSTLAST`

### setTextRotationDegree

    public void setTextRotationDegree(short degree)

  Sets the text rotation degree.

  Parameters:
    `degree` - the value may be -90~+90

### setTrot

    public void setTrot(short trot)

  Sets the degree of rotation. (I've not actually seen this was used anywhere)

  Parameters:
    `trot` - the degree of rotation

### getTrot

    public short getTrot()

  Gets the degree of rotation. (I've not actually seen this was used anywhere)

  Returns:
    the degree of rotation

### setIndent

    public void setIndent(short indent)

  Sets indention. (not sure of the unit, guessing it is in spaces) If the cell alignment is Left, you need to set indention. Or else it will be set to 0.

  Parameters:
    `indent` - - how far to indent the cell

### getIndent

    public short getIndent()

  Gets indention. (not sure of the unit, guessing it is in spaces)

  Returns:
    how far to indent the cell

### isShrinkToFit

    public boolean isShrinkToFit()

  Gets whether to shrink the text to fit.

  Returns:
    whether to shrink the text to fit or not

### setShrinkToFit

    public void setShrinkToFit(boolean shrinktofit)

  Sets whether to shrink the text to fit.

  Parameters:
    `shrinktofit` - - whether to shrink the text to fit or not

### isMergeCell

    public boolean isMergeCell()

  Gets whether to merge cells.

  Returns:
    whether to merge cells or not

### setMergeCell

    public void setMergeCell(boolean mergecell)

  Sets whether to merge cells.

  Parameters:
    `mergecell` - - whether to merge cells or not

### setReadOrder

    public void setReadOrder(int order)

  Sets the reading order for far east versions.

  Parameters:
    `order` - is in context order or not
  See Also:
    `ORDER_CONTEXT`, `ORDER_LTOR`, `ORDER_RTOL`

### isOrder_context

    public boolean isOrder_context()

  Gets the reading order for far east versions.

  Returns:
    whether it is in context order or not

### isOrder_LToR

    public boolean isOrder_LToR()

  Gets the reading order for far east versions.

  Returns:
    whether it is in left-to-right order or not

### isOrder_RToL

    public boolean isOrder_RToL()

  Gets the reading order for far east versions.

  Returns:
    whether it is in right-to-left order or not

### isAtrNum

    public boolean isAtrNum()

  Gets whether or not to use the format in this XF instead of the parent XF.

  Returns:
    whether or not to use the format in this XF instead of the parent XF

### setAtrNum

    public void setAtrNum(boolean atrnum)

  Sets whether or not to use the format in this XF instead of the parent XF.

  Parameters:
    `atrnum` - - true if this XF has a different format value from its parent, false otherwise.

### isAtrFnt

    public boolean isAtrFnt()

  Gets whether or not to use the font in this XF instead of the parent XF.

  Returns:
    whether or not to use the font in this XF instead of the parent XF

### setAtrFnt

    public void setAtrFnt(boolean atrfnt)

  Sets whether or not to use the font in this XF instead of the parent XF.

  Parameters:
    `atrfnt` - - true if this XF has a different font value from its parent, false otherwise.

### isAtrAlc

    public boolean isAtrAlc()

  Gets whether or not to use the alignment in this XF instead of the parent XF.

  Returns:
    true if this XF has a different alignment value from its parent, false otherwise.

### setAtrAlc

    public void setAtrAlc(boolean atralc)

  Sets whether or not to use the alignment in this XF instead of the parent XF.

  Parameters:
    `atralc` - true if this XF has a different alignment value from its parent, false otherwise.

### isAtrBdr

    public boolean isAtrBdr()

  Gets whether or not to use the border in this XF instead of the parent XF.

  Returns:
    - true if this XF has a different border value from its parent, false otherwise.

### setAtrBdr

    public void setAtrBdr(boolean atrbdr)

  Sets whether or not to use the border in this XF instead of the parent XF.

  Parameters:
    `atrbdr` - - true if this XF has a different border value from its parent, false otherwise.

### isAtrPat

    public boolean isAtrPat()

  Gets whether or not to use the pattern in this XF instead of the parent XF. (foregrount/background)

  Returns:
    true if this XF has a different pattern value from its parent, false otherwise.

### setAtrPat

    public void setAtrPat(boolean atrpat)

  Sets whether or not to use the pattern in this XF instead of the parent XF. (foregrount/background)

  Parameters:
    `atrpat` - true if this XF has a different pattern value from its parent, false otherwise.

### isAtrProt

    public boolean isAtrProt()

  Gets whether or not to use the locking/hidden in this XF instead of the parent XF.

  Returns:
    true if this XF has a different locking or hidden value from its parent, false otherwise.

### setAtrProt

    public void setAtrProt(boolean atrprot)

  Sets whether or not to use the locking/hidden in this XF instead of the parent XF.

  Parameters:
    `atrprot` - true if this XF has a different locking or hidden value from its parent, false otherwise.

### setBorderLeft

    public void setBorderLeft(short border)

  Sets the border line style for the left border.

  Parameters:
    `border` - - type of border for the side of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getBorderLeft

    public short getBorderLeft()

  Gets the border line style for the left border.

### setBorderRight

    public void setBorderRight(short border)

  Sets the border line style for the right border.

  Parameters:
    `border` - - type of border for the right side of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getBorderRight

    public short getBorderRight()

  Gets the border line style for the right border.

### setBorderTop

    public void setBorderTop(short border)

  Sets the border line style for the top border.

  Parameters:
    `border` - - type of border for the top of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getBorderTop

    public short getBorderTop()

  Gets the border line style for the top border.

### setBorderBottom

    public void setBorderBottom(short border)

  Sets the border line style for the bottom border.

  Parameters:
    `border` - - type of border for the bottom of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getBorderBottom

    public short getBorderBottom()

  Gets the border line style for the bottom border.

### setIcvLeft

    public void setIcvLeft(int icvleft)

  Sets the palette index for the left border color.

  Parameters:
    `icvleft` - - palette index

### getIcvLeft

    public int getIcvLeft()

  Gets the palette index for the left border color.

  Returns:
    palette index

### setIcvRight

    public void setIcvRight(int icvright)

  Sets the palette index for the right border color.

  Parameters:
    `icvright` - - palette index

### getIcvRight

    public int getIcvRight()

  Gets the palette index for the right border color.

  Returns:
    palette index

### isDiagdown

    public boolean isDiagdown()

  Gets whether there is diagonal-down border or not.

  Returns:
    whether there is diagonal-down border or not

### setDiagdown

    public void setDiagdown(boolean diagdown)

  Sets whether there is diagonal-down border or not.

  Parameters:
    `diagdown` - - whether there is diagonal-down border or not

### isDiagup

    public boolean isDiagup()

  Gets whether there is diagonal-up border or not.

  Returns:
    whether there is diagonal-up border or not

### setDiagup

    public void setDiagup(boolean diagup)

  Sets whether there is diagonal-up border or not.

  Parameters:
    `diagup` - - whether there is diagonal-up border or not

### isDiagboth

    public boolean isDiagboth()

  Gets whether there is diagonal up and down borders or not.

  Returns:
    whether there is diagonal up and down borders or not

### setDiagboth

    public void setDiagboth(boolean diagboth)

  Sets whether there is diagonal up and down borders or not.

  Parameters:
    `diagboth` - - whether there is diagonal up and down borders or not

### setIcvTop

    public void setIcvTop(int icvtop)

  Sets the palette index for the top border color.

  Parameters:
    `icvtop` - - palette index

### getIcvTop

    public int getIcvTop()

  Gets the palette index for the top border color.

  Returns:
    palette index

### setIcvBottom

    public void setIcvBottom(int icvbottom)

  Sets the palette index for the bottom border color.

  Parameters:
    `icvbottom` - - palette index

### getIcvBottom

    public int getIcvBottom()

  Gets the palette index for the bottom border color.

  Returns:
    palette index

### setIcvDiag

    public void setIcvDiag(int icvdiag)

  Sets the palette index for the diagonal border color.

  Parameters:
    `icvdiag` - - palette index

### getIcvDiag

    public int getIcvDiag()

  Gets the palette index for the diagonal border color.

  Returns:
    palette index

### setDgDiag

    public void setDgDiag(short border)

  Sets the diagonal border line style?

  Parameters:
    `border` - the line style
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getDgDiag

    public short getDgDiag()

  Gets the diagonal border line style.

### setFls

    public void setFls(int fls)

  Sets the fill pattern.

  Parameters:
    `fls` - - fill pattern
  See Also:
    `NO_FILL`, `SOLID_FOREGROUND`, `FINE_DOTS`, `ALT_BARS`, `SPARSE_DOTS`, `THICK_HORZ_BANDS`, `THICK_VERT_BANDS`, `THICK_BACKWARD_DIAG`, `THICK_FORWARD_DIAG`, `BIG_SPOTS`, `BRICKS`, `THIN_HORZ_BANDS`, `THIN_VERT_BANDS`, `THIN_BACKWARD_DIAG`, `THIN_FORWARD_DIAG`, `SQUARES`, `DIAMONDS`

### getFls

    public int getFls()

  Gets the fill pattern.

### setIcvFore

    public void setIcvFore(int icvfore)

  Sets the foreground palette color index.

  Parameters:
    `icvfore` - - palette index

### getIcvFore

    public int getIcvFore()

  Gets the foreground palette color index.

  Returns:
    palette index

### setIcvBack

    public void setIcvBack(int icvback)

  Sets the background palette color index.

  Parameters:
    `icvback` - - palette index

### getIcvBack

    public int getIcvBack()

  Gets the background palette color index.

  Returns:
    - palette index

### isSxButton

    public boolean isSxButton()

  Gets whether the Xf record is attached to a PivotTable button.

  Returns:
    whether or not to attach the Xf record to a PivotTable button

### setSxButton

    public void setSxButton(boolean sxbutton)

  Sets whether the Xf record is attached to a PivotTable button.

  Parameters:
    `sxbutton` - - whether or not to attach the Xf record to a PivotTable button

### output

    public int output(util.RandomAccessStream stream)
               throws java.io.IOException

  Outputs the record Xf.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD